Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.message
Interface HL7_Constants

All Known Implementing Classes:
  PdqConsumer, PdqConsumerQuery, PdqConsumerResponse, PixConsumerQuery, PixConsumerResponse, PixMsgAdmitInpatient, PixMsgADT, PixMsgMergePatient, PixMsgPreadmitInpatient, PixMsgRegisterOutpatient, PixMsgUpdatePatient, PixPdqMessage, PixSourceResponse

    public interface HL7_Constants

Field Summary
`static java.lang.String` | `DSC`
`static java.lang.String` | `DSC_1`
`static java.lang.String` | `DSC_2`
`static java.lang.String` | `ERR`
`static java.lang.String` | `EVN`
`static java.lang.String` | `EVN_2_1`
`static java.lang.String` | `MRG`
`static java.lang.String` | `MRG_1_1`
`static java.lang.String` | `MRG_1_4_1`
`static java.lang.String` | `MRG_1_4_2`
`static java.lang.String` | `MRG_1_4_3`
`static java.lang.String` | `MSA`
`static java.lang.String` | `MSH`
`static java.lang.String` | `MSH_10`
`static java.lang.String` | `MSH_11_1`
`static java.lang.String` | `MSH_11_1_PRODUCTION`
`static java.lang.String` | `MSH_12`
`static java.lang.String` | `MSH_18_1`
`static java.lang.String` | `MSH_18_1_ASCII`
`static java.lang.String` | `MSH_3_1`
`static java.lang.String` | `MSH_3_1_DEFAULT`
`static java.lang.String` | `MSH_3_2`
`static java.lang.String` | `MSH_3_3`
`static java.lang.String` | `MSH_4_1`
`static java.lang.String` | `MSH_4_1_DEFAULT`
`static java.lang.String` | `MSH_4_2`
`static java.lang.String` | `MSH_4_3`
`static java.lang.String` | `MSH_5_1`
`static java.lang.String` | `MSH_5_1_DEFAULT`
`static java.lang.String` | `MSH_5_2`
`static java.lang.String` | `MSH_5_3`
`static java.lang.String` | `MSH_6_1`
`static java.lang.String` | `MSH_6_1_DEFAULT`
`static java.lang.String` | `MSH_6_2`
`static java.lang.String` | `MSH_6_3`
`static java.lang.String` | `MSH_7`
`static java.lang.String` | `PD1`
`static java.lang.String` | `PID`
`static java.lang.String` | `PID_11_1`
`static java.lang.String` | `PID_11_10`
`static java.lang.String` | `PID_11_2`
`static java.lang.String` | `PID_11_3`
`static java.lang.String` | `PID_11_4`
`static java.lang.String` | `PID_11_5`
`static java.lang.String` | `PID_11_6`
`static java.lang.String` | `PID_11_7`
`static java.lang.String` | `PID_11_8`
`static java.lang.String` | `PID_11_9`
`static java.lang.String` | `PID_13_1`
`static java.lang.String` | `PID_14_1`
`static java.lang.String` | `PID_18_1`
`static java.lang.String` | `PID_18_4_1`
`static java.lang.String` | `PID_18_4_2`
`static java.lang.String` | `PID_18_4_3`
`static java.lang.String` | `PID_3_1`
`static java.lang.String` | `PID_3_4_1`
`static java.lang.String` | `PID_3_4_1_DEFAULT`
`static java.lang.String` | `PID_3_4_2`
`static java.lang.String` | `PID_3_4_2_DEFAULT`
`static java.lang.String` | `PID_3_4_3`
`static java.lang.String` | `PID_3_4_3_DEFAULT`
`static java.lang.String` | `PID_5_1`
`static java.lang.String` | `PID_5_2`
`static java.lang.String` | `PID_5_3`
`static java.lang.String` | `PID_5_4`
`static java.lang.String` | `PID_5_5`
`static java.lang.String` | `PID_5_6`
`static java.lang.String` | `PID_7_1`
`static java.lang.String` | `PID_8`
`static java.lang.String` | `PV1`
`static java.lang.String` | `PV1_2`
`static java.lang.String` | `PV1_2_INPATIENT`
`static java.lang.String` | `PV1_2_OUTPATIENT`
`static java.lang.String` | `QAK`
`static java.lang.String` | `QPD`
`static java.lang.String` | `QPD_1_1`
`static java.lang.String` | `QPD_1_2`
`static java.lang.String` | `QPD_1_3`
`static java.lang.String` | `QPD_1_4`
`static java.lang.String` | `QPD_1_5`
`static java.lang.String` | `QPD_1_6`
`static java.lang.String` | `QPD_2`
`static java.lang.String` | `QPD_3_1`
`static java.lang.String` | `QPD_3_4_1`
`static java.lang.String` | `QPD_3_4_2`
`static java.lang.String` | `QPD_3_4_3`
`static java.lang.String` | `QPD_8_4_1`
`static java.lang.String` | `QPD_8_4_2`
`static java.lang.String` | `QPD_8_4_3`
`static java.lang.String` | `RCP`
`static java.lang.String` | `RCP_1`
`static java.lang.String` | `RCP_1_IMMEDIATE`
`static java.lang.String` | `RCP_2_1`
`static java.lang.String` | `RCP_2_2_1`
`static java.lang.String` | `RCP_2_2_1_RECORDS`

Field Detail

### DSC

    static final java.lang.String DSC

See Also:
  Constant Field Values

### DSC_1

    static final java.lang.String DSC_1

See Also:
  Constant Field Values

### DSC_2

    static final java.lang.String DSC_2

See Also:
  Constant Field Values

### ERR

    static final java.lang.String ERR

See Also:
  Constant Field Values

### EVN

    static final java.lang.String EVN

See Also:
  Constant Field Values

### EVN_2_1

    static final java.lang.String EVN_2_1

See Also:
  Constant Field Values

### MRG

    static final java.lang.String MRG

See Also:
  Constant Field Values

### MRG_1_1

    static final java.lang.String MRG_1_1

See Also:
  Constant Field Values

### MRG_1_4_1

    static final java.lang.String MRG_1_4_1

See Also:
  Constant Field Values

### MRG_1_4_2

    static final java.lang.String MRG_1_4_2

See Also:
  Constant Field Values

### MRG_1_4_3

    static final java.lang.String MRG_1_4_3

See Also:
  Constant Field Values

### MSA

    static final java.lang.String MSA

See Also:
  Constant Field Values

### MSH

    static final java.lang.String MSH

See Also:
  Constant Field Values

### MSH_3_1

    static final java.lang.String MSH_3_1

See Also:
  Constant Field Values

### MSH_3_1_DEFAULT

    static final java.lang.String MSH_3_1_DEFAULT

See Also:
  Constant Field Values

### MSH_3_2

    static final java.lang.String MSH_3_2

See Also:
  Constant Field Values

### MSH_3_3

    static final java.lang.String MSH_3_3

See Also:
  Constant Field Values

### MSH_4_1

    static final java.lang.String MSH_4_1

See Also:
  Constant Field Values

### MSH_4_1_DEFAULT

    static final java.lang.String MSH_4_1_DEFAULT

See Also:
  Constant Field Values

### MSH_4_2

    static final java.lang.String MSH_4_2

See Also:
  Constant Field Values

### MSH_4_3

    static final java.lang.String MSH_4_3

See Also:
  Constant Field Values

### MSH_5_1

    static final java.lang.String MSH_5_1

See Also:
  Constant Field Values

### MSH_5_1_DEFAULT

    static final java.lang.String MSH_5_1_DEFAULT

See Also:
  Constant Field Values

### MSH_5_2

    static final java.lang.String MSH_5_2

See Also:
  Constant Field Values

### MSH_5_3

    static final java.lang.String MSH_5_3

See Also:
  Constant Field Values

### MSH_6_1

    static final java.lang.String MSH_6_1

See Also:
  Constant Field Values

### MSH_6_1_DEFAULT

    static final java.lang.String MSH_6_1_DEFAULT

See Also:
  Constant Field Values

### MSH_6_2

    static final java.lang.String MSH_6_2

See Also:
  Constant Field Values

### MSH_6_3

    static final java.lang.String MSH_6_3

See Also:
  Constant Field Values

### MSH_7

    static final java.lang.String MSH_7

See Also:
  Constant Field Values

### MSH_10

    static final java.lang.String MSH_10

See Also:
  Constant Field Values

### MSH_11_1

    static final java.lang.String MSH_11_1

See Also:
  Constant Field Values

### MSH_11_1_PRODUCTION

    static final java.lang.String MSH_11_1_PRODUCTION

See Also:
  Constant Field Values

### MSH_12

    static final java.lang.String MSH_12

See Also:
  Constant Field Values

### MSH_18_1

    static final java.lang.String MSH_18_1

See Also:
  Constant Field Values

### MSH_18_1_ASCII

    static final java.lang.String MSH_18_1_ASCII

See Also:
  Constant Field Values

### PID

    static final java.lang.String PID

See Also:
  Constant Field Values

### PID_3_1

    static final java.lang.String PID_3_1

See Also:
  Constant Field Values

### PID_3_4_1

    static final java.lang.String PID_3_4_1

See Also:
  Constant Field Values

### PID_3_4_1_DEFAULT

    static final java.lang.String PID_3_4_1_DEFAULT

See Also:
  Constant Field Values

### PID_3_4_2

    static final java.lang.String PID_3_4_2

See Also:
  Constant Field Values

### PID_3_4_2_DEFAULT

    static final java.lang.String PID_3_4_2_DEFAULT

See Also:
  Constant Field Values

### PID_3_4_3

    static final java.lang.String PID_3_4_3

See Also:
  Constant Field Values

### PID_3_4_3_DEFAULT

    static final java.lang.String PID_3_4_3_DEFAULT

See Also:
  Constant Field Values

### PID_5_1

    static final java.lang.String PID_5_1

See Also:
  Constant Field Values

### PID_5_2

    static final java.lang.String PID_5_2

See Also:
  Constant Field Values

### PID_5_3

    static final java.lang.String PID_5_3

See Also:
  Constant Field Values

### PID_5_4

    static final java.lang.String PID_5_4

See Also:
  Constant Field Values

### PID_5_5

    static final java.lang.String PID_5_5

See Also:
  Constant Field Values

### PID_5_6

    static final java.lang.String PID_5_6

See Also:
  Constant Field Values

### PID_7_1

    static final java.lang.String PID_7_1

See Also:
  Constant Field Values

### PID_8

    static final java.lang.String PID_8

See Also:
  Constant Field Values

### PID_11_1

    static final java.lang.String PID_11_1

See Also:
  Constant Field Values

### PID_11_2

    static final java.lang.String PID_11_2

See Also:
  Constant Field Values

### PID_11_3

    static final java.lang.String PID_11_3

See Also:
  Constant Field Values

### PID_11_4

    static final java.lang.String PID_11_4

See Also:
  Constant Field Values

### PID_11_5

    static final java.lang.String PID_11_5

See Also:
  Constant Field Values

### PID_11_6

    static final java.lang.String PID_11_6

See Also:
  Constant Field Values

### PID_11_7

    static final java.lang.String PID_11_7

See Also:
  Constant Field Values

### PID_11_8

    static final java.lang.String PID_11_8

See Also:
  Constant Field Values

### PID_11_9

    static final java.lang.String PID_11_9

See Also:
  Constant Field Values

### PID_11_10

    static final java.lang.String PID_11_10

See Also:
  Constant Field Values

### PID_13_1

    static final java.lang.String PID_13_1

See Also:
  Constant Field Values

### PID_14_1

    static final java.lang.String PID_14_1

See Also:
  Constant Field Values

### PID_18_1

    static final java.lang.String PID_18_1

See Also:
  Constant Field Values

### PID_18_4_1

    static final java.lang.String PID_18_4_1

See Also:
  Constant Field Values

### PID_18_4_2

    static final java.lang.String PID_18_4_2

See Also:
  Constant Field Values

### PID_18_4_3

    static final java.lang.String PID_18_4_3

See Also:
  Constant Field Values

### PD1

    static final java.lang.String PD1

See Also:
  Constant Field Values

### PV1

    static final java.lang.String PV1

See Also:
  Constant Field Values

### PV1_2

    static final java.lang.String PV1_2

See Also:
  Constant Field Values

### PV1_2_INPATIENT

    static final java.lang.String PV1_2_INPATIENT

See Also:
  Constant Field Values

### PV1_2_OUTPATIENT

    static final java.lang.String PV1_2_OUTPATIENT

See Also:
  Constant Field Values

### QAK

    static final java.lang.String QAK

See Also:
  Constant Field Values

### QPD

    static final java.lang.String QPD

See Also:
  Constant Field Values

### QPD_1_1

    static final java.lang.String QPD_1_1

See Also:
  Constant Field Values

### QPD_1_2

    static final java.lang.String QPD_1_2

See Also:
  Constant Field Values

### QPD_1_3

    static final java.lang.String QPD_1_3

See Also:
  Constant Field Values

### QPD_1_4

    static final java.lang.String QPD_1_4

See Also:
  Constant Field Values

### QPD_1_5

    static final java.lang.String QPD_1_5

See Also:
  Constant Field Values

### QPD_1_6

    static final java.lang.String QPD_1_6

See Also:
  Constant Field Values

### QPD_2

    static final java.lang.String QPD_2

See Also:
  Constant Field Values

### QPD_3_1

    static final java.lang.String QPD_3_1

See Also:
  Constant Field Values

### QPD_3_4_1

    static final java.lang.String QPD_3_4_1

See Also:
  Constant Field Values

### QPD_3_4_2

    static final java.lang.String QPD_3_4_2

See Also:
  Constant Field Values

### QPD_3_4_3

    static final java.lang.String QPD_3_4_3

See Also:
  Constant Field Values

### QPD_8_4_1

    static final java.lang.String QPD_8_4_1

See Also:
  Constant Field Values

### QPD_8_4_2

    static final java.lang.String QPD_8_4_2

See Also:
  Constant Field Values

### QPD_8_4_3

    static final java.lang.String QPD_8_4_3

See Also:
  Constant Field Values

### RCP

    static final java.lang.String RCP

See Also:
  Constant Field Values

### RCP_1

    static final java.lang.String RCP_1

See Also:
  Constant Field Values

### RCP_1_IMMEDIATE

    static final java.lang.String RCP_1_IMMEDIATE

See Also:
  Constant Field Values

### RCP_2_1

    static final java.lang.String RCP_2_1

See Also:
  Constant Field Values

### RCP_2_2_1

    static final java.lang.String RCP_2_2_1

See Also:
  Constant Field Values

### RCP_2_2_1_RECORDS

    static final java.lang.String RCP_2_2_1_RECORDS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD